Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.ssh
Class SSHKeyGenerationDialogAWT

    java.lang.Object
      com.mindbright.ssh.SSHKeyGenerationDialog
          com.mindbright.ssh.SSHKeyGenerationDialogAWT

public final class SSHKeyGenerationDialogAWT
extends SSHKeyGenerationDialog

Field Summary

Fields inherited from class com.mindbright.ssh.SSHKeyGenerationDialog
`client, EDIT_TITLE, KEY_LENGTHS, KEY_TYPES, keyGenerationComplete, keyGenerationHelp, LBL_1024, LBL_BTN_BACK, LBL_BTN_CANCEL, LBL_BTN_CLOSE, LBL_BTN_GENERATE, LBL_BTN_SAVE, LBL_COMMENT, LBL_DOT_DOT_DOT, LBL_DSA, LBL_IDENTITY, LBL_KEY_LENGTH, LBL_KEY_TYPE, LBL_OPENSSH, LBL_PASSWORD, LBL_PASSWORD_AGAIN, LBL_SSHCOM, LBL_SUBJECT, parent, PASS_TITLE, TEXT_GENERATING`

Constructor Summary
`SSHKeyGenerationDialogAWT()`

Method Summary
`static void` | `editKeyDialog(java.lang.String title, java.awt.Frame par, SSHInteractiveClient cli)`
`static void` | `show(java.lang.String title, java.awt.Frame par, SSHInteractiveClient cli)`

Methods inherited from class com.mindbright.ssh.SSHKeyGenerationDialog
`alert, checkValues, expandFileName, generateKeyPair, getDefaultFileName, getOutput, getSaveFile, saveKeyPair`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSHKeyGenerationDialogAWT

    public SSHKeyGenerationDialogAWT()

Method Detail

### show

    public static void show(java.lang.String title,
                            java.awt.Frame par,
                            SSHInteractiveClient cli)

### editKeyDialog

    public static void editKeyDialog(java.lang.String title,
                                     java.awt.Frame par,
                                     SSHInteractiveClient cli)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD